Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Class RequestProcessingPolicyValue

    java.lang.Object
      org.omg.PortableServer.RequestProcessingPolicyValue

All Implemented Interfaces:
  Serializable, IDLEntity

    public class RequestProcessingPolicyValue

extends Object
implements IDLEntity

The RequestProcessingPolicyValue can have the following values. USE_ACTIVE_OBJECT_MAP_ONLY - If the Object Id is not found in the Active Object Map, an OBJECT_NOT_EXIST exception is returned to the client. The RETAIN policy is also required. USE_DEFAULT_SERVANT - If the Object Id is not found in the Active Object Map or the NON_RETAIN policy is present, and a default servant has been registered with the POA using the set_servant operation, the request is dispatched to the default servant. USE_SERVANT_MANAGER - If the Object Id is not found in the Active Object Map or the NON_RETAIN policy is present, and a servant manager has been registered with the POA using the set_servant_manager operation, the servant manager is given the opportunity to locate a servant or raise an exception.

Field Summary
`static int` | `_USE_ACTIVE_OBJECT_MAP_ONLY`
`static int` | `_USE_DEFAULT_SERVANT`
`static int` | `_USE_SERVANT_MANAGER`
`static RequestProcessingPolicyValue` | `USE_ACTIVE_OBJECT_MAP_ONLY`
`static RequestProcessingPolicyValue` | `USE_DEFAULT_SERVANT`
`static RequestProcessingPolicyValue` | `USE_SERVANT_MANAGER`

Constructor Summary
`protected` | `RequestProcessingPolicyValue(int value)`

Method Summary
`static RequestProcessingPolicyValue` | `from_int(int value)`
`int` | `value()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _USE_ACTIVE_OBJECT_MAP_ONLY

    public static final int _USE_ACTIVE_OBJECT_MAP_ONLY

See Also:
  Constant Field Values

### USE_ACTIVE_OBJECT_MAP_ONLY

    public static final RequestProcessingPolicyValue USE_ACTIVE_OBJECT_MAP_ONLY

### _USE_DEFAULT_SERVANT

    public static final int _USE_DEFAULT_SERVANT

See Also:
  Constant Field Values

### USE_DEFAULT_SERVANT

    public static final RequestProcessingPolicyValue USE_DEFAULT_SERVANT

### _USE_SERVANT_MANAGER

    public static final int _USE_SERVANT_MANAGER

See Also:
  Constant Field Values

### USE_SERVANT_MANAGER

    public static final RequestProcessingPolicyValue USE_SERVANT_MANAGER

Constructor Detail

### RequestProcessingPolicyValue

    protected RequestProcessingPolicyValue(int value)

Method Detail

### value

    public int value()

### from_int

    public static RequestProcessingPolicyValue from_int(int value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.